### Method

# Camel Service ref_proxy_resolver

since: 3.12

#### Declaration [src]

    GProxyResolver*
    camel_service_ref_proxy_resolver (
      CamelService* service
    )

#### Description [src]

Returns the `GProxyResolver` for `service`. If an application needs to override this, it should do so prior to calling functions on `service` that may require a network connection.

The returned `GProxyResolver` is referenced for thread-safety and must be unreferenced with `g_object_unref()` when finished with it.

Available since: 3.12

#### Return value

Type: `GProxyResolver`

A `GProxyResolver`, or `NULL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.